## upx-ucl-beta 3~dummy.1

=== debian/changelog ===
upx-ucl-beta (1:3~dummy.1) unstable; urgency=low

  * Upstream currently does not provide beta versions.
    Temporaily switching to a dummy package depending on upx-ucl until new
    beta is available.
  * The following bugs has been fixed by upstream in upx-ucl 3.01:
    + FTBFS with GCC 4.3 (closes: #421285),
    + unrecognised kernel architecture with 2.6.21 kernels (closes: #426747).

 -- Robert Luberda <robert@debian.org>  Sat, 11 Aug 2007 12:45:09 +0200

upx-ucl-beta (1:2.93-2) unstable; urgency=low

  * Upload to unstable (closes: #416848).
  * Merge GCC 4.3 fix from upx-ucl.

 -- Robert Luberda <robert@debian.org>  Tue, 24 Apr 2007 21:26:35 +0200

upx-ucl-beta (1:2.93-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Sat, 10 Mar 2007 20:39:34 +0100

upx-ucl-beta (1:2.92-2) experimental; urgency=low

  * Pass -D__BIG_ENDIAN__=1 to CXXFLAGS on hppa, ia64, sparc in order to fix
    FTBFS on those archs (closes: #409719). Fix suggested by upstream.
  * Set debhelper compatibility level to 5.
  * debian/rules cleanups, amongst others:
    + use CXXFLAGS instead of CFLAGS;
    + don't overwrite {CXX,LD}FLAGS, just add our stuff to them.
  * Update debian/watch.

 -- Robert Luberda <robert@debian.org>  Sat, 10 Mar 2007 01:00:00 +0100

upx-ucl-beta (1:2.92-1) experimental; urgency=low

  * New upstream version.
  * Update package's description.
  * Add debian/watch file.
  * Standards-Version: 3.7.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu,  1 Feb 2007 23:11:20 +0100

upx-ucl-beta (1:1.95+0.20060318cvs-1) unstable; urgency=low

  * New upstream CVS snapshot:
    + win32/pe support still broken (see Bug#343250).

 -- Robert Luberda <robert@debian.org>  Sat, 18 Mar 2006 16:17:58 +0100

upx-ucl-beta (1:1.94+0.20051214cvs-2) unstable; urgency=low

  * src/p_lx_elf.h: Fix FTBFS on 64-bit platforms by using correct type
    in PackLinuxElf32Be::set_native64 declaration.

 -- Robert Luberda <robert@debian.org>  Sat, 17 Dec 2005 16:42:40 +0100

upx-ucl-beta (1:1.94+0.20051214cvs-1) unstable; urgency=low

  * New upstream CVS snapshot.
    I hope this version fixes Bug#343250 (upx-ucl-beta: broken on 64-bit
    systems), however I can't test it so I'm not closing the bug yet.

 -- Robert Luberda <robert@debian.org>  Thu, 15 Dec 2005 08:40:06 +0100

upx-ucl-beta (1:1.94+0.20051022cvs-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * debian/doc-base: change section to Apps/Tools (closes: #335075).

 -- Robert Luberda <robert@debian.org>  Sat, 22 Oct 2005 20:14:51 +0200

upx-ucl-beta (1:1.94+0.20050716cvs-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Standards-Version: 3.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 17 Jul 2005 14:00:38 +0200

upx-ucl-beta (1:1.94+0.20050331cvs-1) experimental; urgency=low

  * New upstream CVS snapshot.

 -- Robert Luberda <robert@debian.org>  Thu, 31 Mar 2005 19:15:58 +0200

upx-ucl-beta (1:1.93+0.20041116cvs-1) experimental; urgency=low

  * New upstream CVS snapshot.

 -- Robert Luberda <robert@debian.org>  Tue, 16 Nov 2004 21:34:54 +0100

upx-ucl-beta (1:1.93+0.20041007cvs-2) experimental; urgency=low

  * Reupload 1.93+0.20041007cvs to experimental.

 -- Robert Luberda <robert@debian.org>  Fri, 15 Oct 2004 21:12:55 +0200

upx-ucl-beta (1:1.91+0.20030910cvs-2) unstable; urgency=low

  * Put 1.91+0.20030910cvs back into unstable. Newer versions fail
    to create bootable kernels, thus breaking debian-installer
    (closes: #275393).
  * Revert all changes except:
    + build dependency on libucl-dev >= 1.03
    + typo in the description
  * conf.h: replace __UCL_ENTRY with __UCL_CDECL, as ucl no longer defines
    __UCL_ENTRY.

 -- Robert Luberda <robert@debian.org>  Fri,  8 Oct 2004 20:09:44 +0200

upx-ucl-beta (1.93+0.20041007cvs-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Fix typo in the package description.

 -- Robert Luberda <robert@debian.org>  Thu,  7 Oct 2004 19:02:28 +0200

upx-ucl-beta (1.93+0.20040727cvs-3) unstable; urgency=low

  * *Really* upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sun,  3 Oct 2004 19:56:45 +0200

upx-ucl-beta (1.93+0.20040727cvs-2) experimental; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Tue, 28 Sep 2004 21:35:41 +0200

upx-ucl-beta (1.93+0.20040727cvs-1) experimental; urgency=low

  * New upstream CVS snapshot.
  * Add link to homepage to binary package description.
  * Require libucl-dev 1.03.

 -- Robert Luberda <robert@debian.org>  Thu, 29 Jul 2004 20:58:45 +0200

upx-ucl-beta (1.91+0.20040420cvs-1) experimental; urgency=low

  * New upstream CVS snapshot.
  * Install upstream ChangeLog file generated from the cvs logs
    with the `cvs2cl --no-wrap --gmt -S' command.
  * Build with the newest libucl-dev 1.02.

 -- Robert Luberda <robert@debian.org>  Tue, 27 Apr 2004 21:12:33 +0200

upx-ucl-beta (1.91+0.20030910cvs-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Standards-Version: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 10 Sep 2003 22:42:35 +0200

upx-ucl-beta (1.91+0.20030605cvs-4) unstable; urgency=low

  * src/conf.h: Another try of fixing FTBFS bug (closes: #200568).
  * Standards-Version: 3.6.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 14 Jul 2003 23:06:55 +0200

upx-ucl-beta (1.91+0.20030605cvs-3) unstable; urgency=low

  * src/conf.h: Fix build problem on hppa and some other architectures
    by trying to define upx_(u)int64l as (u)int_least64_t before raising
    the "need a 64-bit integer type" error (closes: #200568).

 -- Robert Luberda <robert@debian.org>  Wed,  9 Jul 2003 22:03:19 +0200

upx-ucl-beta (1.91+0.20030605cvs-2) unstable; urgency=low

  * Added build dependancy on zlib1g-dev.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Jun 2003 12:00:57 +0200

upx-ucl-beta (1.91+0.20030605cvs-1) unstable; urgency=low

  * Packaged new upstream beta version (closes: #198190).

