=== debian/control ===
Source: upx-ucl-beta
Section: utils
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.40)

Package: upx-ucl-beta
Architecture: all
Depends: upx-ucl (>= 3.01)
Description: an efficient live-compressor for executables (beta version)
 .
 NOTE: Since no beta version of UPX is currently available, this package simply 
 depends on the latest stable UPX version.
 .
