## upx-ucl-beta 3~dummy.2

=== debian/changelog ===
upx-ucl-beta (1:3~dummy.2) unstable; urgency=low

  * Standards-Version: 3.7.3 (no changes).
  * Switch to debhelper v7 with its simplified rules file.
  * Fix lintian's `binary-arch-rules-but-pkg-is-arch-indep'.

 -- Robert Luberda <robert@debian.org>  Sat, 26 Apr 2008 19:13:19 +0200
