=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 5.0.40)
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 7)
 
 Package: upx-ucl-beta
 Architecture: all
