=== debian/rules ===
#!/usr/bin/make -f

build:
	dh build

clean:
	dh clean
	dh_clean # make lintian happy

install: build
	dh install

binary-arch:
# nothing to do

binary-indep: install
	dh binary-indep

binary: binary-indep

.PHONY: build clean install binary-arch binary-indep binary
